# OpenSSL RSA
[OpenSSL wrapper]

## Functions
int | openssl_rsa_prv_decrypt (const axutil_env_t *env, const openssl_pkey_t *pkey, const axis2_char_t *padding, oxs_buffer_t *in, oxs_buffer_t *out)
int | openssl_rsa_pub_encrypt (const axutil_env_t *env, const openssl_pkey_t *pkey, const axis2_char_t *padding, oxs_buffer_t *in, oxs_buffer_t *out)
int | openssl_rsa_prv_encrypt (const axutil_env_t *env, const openssl_pkey_t *pkey, const axis2_char_t *padding, oxs_buffer_t *in, oxs_buffer_t *out)
int | openssl_rsa_pub_decrypt (const axutil_env_t *env, const openssl_pkey_t *pkey, const axis2_char_t *padding, oxs_buffer_t *in, oxs_buffer_t *out)

## Function Documentation

int openssl_rsa_prv_decrypt | ( | const axutil_env_t * | env,
|  | const openssl_pkey_t * | pkey,
|  | const axis2_char_t * | padding,
|  | oxs_buffer_t * | in,
|  | oxs_buffer_t * | out |
| ) |  |  |

Decrypts data using a private key specified in pointer to openssl_rsa struct pointer to environment struct private key for decryption input data output data

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

int openssl_rsa_prv_encrypt | ( | const axutil_env_t * | env,
|  | const openssl_pkey_t * | pkey,
|  | const axis2_char_t * | padding,
|  | oxs_buffer_t * | in,
|  | oxs_buffer_t * | out |
| ) |  |  |

Sign data using a private key specified in pointer to openssl_rsa struct pointer to environment struct private key for decryption input data output data

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

int openssl_rsa_pub_decrypt | ( | const axutil_env_t * | env,
|  | const openssl_pkey_t * | pkey,
|  | const axis2_char_t * | padding,
|  | oxs_buffer_t * | in,
|  | oxs_buffer_t * | out |
| ) |  |  |

Verifies data using a public key specified in pointer to openssl_rsa struct pointer to environment struct public key for encryption input data output data

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

int openssl_rsa_pub_encrypt | ( | const axutil_env_t * | env,
|  | const openssl_pkey_t * | pkey,
|  | const axis2_char_t * | padding,
|  | oxs_buffer_t * | in,
|  | oxs_buffer_t * | out |
| ) |  |  |

Encrypts data using a public key specified in pointer to openssl_rsa struct pointer to environment struct public key for encryption input data output data

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE